# POST /api/v1/estimates/{estimate_id}/send

> Send estimate

- **Tag:** estimates
- **Operation ID:** `send_estimate_api_v1_estimates__estimate_id__send_post`

## Description

Send an estimate to the customer (draft -> sent).

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `estimate_id` (path, string, required)

## Responses

### 201 — Successful Response

Schema: `EstimateResponse`

- `id` (string · required)
- `business_id` (string · required)
- `customer_id` (string · required)
- `number` (string)
- `status` (string · required)
- `currency` (string · required)
- `total` (integer)
- `total_in_dollars` (string)
- `description` (string)
- `internal_notes` (string)
- `line_items` (object)
- `due_date` (string · date-time)
- `expiration_date` (string · date-time)
- `converted_invoice_id` (string)
- `sent_at` (string · date-time)
- `accepted_at` (string · date-time)
- `declined_at` (string · date-time)
- `converted_at` (string · date-time)
- `pdf_url` (string)
- `created_at` (string · date-time · required)
- `updated_at` (string · date-time · required)
- `customer_name` (string)
- `can_be_sent` (boolean)
- `can_be_accepted` (boolean)
- `can_be_declined` (boolean)
- `can_be_converted` (boolean)
- `can_be_updated` (boolean)
- `can_be_deleted` (boolean)

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/estimates/{estimate_id}/send' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/estimates/{estimate_id}/send', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.post("https://api.ondayzero.com/api/v1/estimates/{estimate_id}/send", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/estimates/send-estimate
- OpenAPI slice: https://www.ondayzero.com/docs/reference/estimates/send-estimate/openapi.json
- Other endpoints in **estimates**: https://www.ondayzero.com/docs/reference/estimates
